<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="viewport" content="width=device-width, initial-scale = 1.0, maximum-scale=1.0, user-scalable=no" />
	<title>Story Page</title>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" />
	<link rel="stylesheet" href="style.css">

	<script type="text/javascript" src="js/jquery.min.1.7.js"></script>
	<script type="text/javascript" src="js/modernizr.2.5.3.min.js"></script>
	
<style>
    .flipbook-viewport .flipbook{
        top: -235px;
    }

    .bs-switch {
        position: relative;
        display: inline-block;
        width: 60px;
        height: 34px;
    }
    [type=checkbox]:checked, [type=checkbox]:not(:checked) {
        position: absolute;
        opacity: 0;
        pointer-events: none;
    }
    .bs-switch input {
        display: none;
    }
    input[type=checkbox], input[type=radio] {
        box-sizing: border-box;
        padding: 0;
    }
    .bs-switch .slider {
        position: absolute;
        cursor: pointer;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: #ccc;
        -webkit-transition: .4s;
        -o-transition: .4s;
        transition: .4s;
    }

    .bs-switch .slider.round:before {
        -webkit-border-radius: 50%;
        border-radius: 50%;
    }
    .bs-switch .slider:before {
        position: absolute;
        content: "";
        height: 26px;
        width: 26px;
        left: 4px;
        bottom: 4px;
        background-color: #fff;
        -webkit-transition: .4s;
        -o-transition: .4s;
        transition: .4s;
    }
    .bs-switch input:checked+.slider {
        background-color: #2196f3;
    }
    .bs-switch .slider.round {
        -webkit-border-radius: 34px;
        border-radius: 34px;
    }
    .bs-switch input:checked+.slider:before {
        -webkit-transform: translateX(26px);
        -ms-transform: translateX(26px);
        transform: translateX(26px);
    }


</style>
</head>
<body>
    <section class="headerSection">
        <div class="headerColor">
            <div class="topRightImage textt" onclick="window.location.href='read_the_story.html'">
                <img src="left.png" style="width:25px;" />
                Select a story to read
            </div>
            <div class="head_name text-center">
                <?php
                $titleArray = [
                    '1' => 'FERGUS THE FERRY',
                    '2' => 'FERGUS AT THE ZOO',
                    '3' => 'FERGUS AT THE FIRE',
                    '4' => 'FERGUS AT THE RACE',
                    '5' => 'FERGUS AT THE FIREWORK',
                    '6' => 'FERGUS MAKES A DIFFERENCE',
                    '7' => 'FERGUS TO RESCUE',
                    '8' => 'FERGUS AND BORIS',
                    '9' => 'FERGUS GOES BANG',
                    '10' => 'FERGUS AND ANGUS',
                    '11' => 'FERGUS AT WHALE',
                    '12' => 'FERGUS BREAKS LOOSE',
                    '13' => 'FERGUS JOINS THE SEARCH',
                    '14' => 'FERGUS AND HYDRO',
                    '15' => 'FERGUS AND MAX',
                    '16' => 'FERGUS AND LADY JANE',
                    '17' => 'HIGH TIDE FERGUS',
                    '18' => 'FERGUS AND ARK',
                    '19' => 'FERGUS SAYS FAREWELL',
                    '20' => 'FERGUS AND \'C\'',
                    '21' => 'FERGUS THINK FAST',
                    '22' => 'FERGUS AND JET',
                    '23' => 'FERGUS AND JESS',
                    '24' => 'FERGUS GOES TO SE',
                ];
                ?>
                <div class="headerText">
                    <?php
                    if(isset($_GET['name'])) {
                        if(isset($titleArray[$_GET['name']])) {
                            echo $titleArray[$_GET['name']];
                        } else {
                            echo "FERGUS FERRY";
                        }
                    } else {
                        echo "FERGUS FERRY";
                    }
                    ?>
                        
                    </div>
            </div>
            <div class="Settinggs" data-toggle="modal" href="#myModal" style="cursor: pointer;">
                Settings
            </div>
        </div>
    </section>
    <section>
        <div class="flipbook-viewport">
            <div class="container">
                <div class="flipbook">
                   &nbsp;
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_2.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_3.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_4.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_5.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_6.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_7.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_8.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_9.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_10.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_11.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_12.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_13.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_14.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_15.jpg)"></div>
                    <div style="background-image:url(video_cover/f<?php echo $_GET['name']; ?>_16.jpg)"></div>
                   &nbsp;
                </div>
            </div>
        </div>
        <div>&nbsp;</div>
	</section>

    <!-- Modal HTML -->
    <div id="myModal" class="modal fade for_youtube">
        <div class="modal-dialog storyPageModalClose">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title text-white">Settings</h4>
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                </div>
                <div class="modal-body" >
                    <p>
                        Turn Pages Automatically
                        
                        <label class="bs-switch" style="float: right;">
                          <input type="checkbox" name="turnOn" id="turnOn" <?php echo (isset($_GET['auto']) && $_GET['auto'] == "on") ? "checked" : ""; ?>>
                          <span class="slider round"></span>
                        </label><br/><br/>
                        <div style="text-align: center;">
	                        <button class="btn settingButton"><?php echo (isset($_GET['audio']) && $_GET['audio'] == "on") ? "Stop" : "Start"; ?> Reading aloud</button>
	                    </div>
                    </p>
                </div>
            </div>
        </div>
    </div>

    <?php
    if(isset($_GET['audio']) && $_GET['audio'] == "on") { ?>
        <audio id="myAudioElement" preload="none">
          <source id="audioSrc" src="raw/f<?php echo $_GET['name']; ?>_1.mp3" type="audio/mpeg">
        </audio>
    <?php } ?>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js"></script>
	<script src="js/turn.js"></script>
	<script type="text/javascript">

		function loadApp() {

			// Create the flipbook
			$('.flipbook').turn({
					// Display
					display: 'single',
					// Width
					width:922,
					// Height
					height:580,
					// Elevation
					elevation: 50,
					// Enable gradients
					gradients: true,
					// Auto center this flipbook
					autoCenter: true,
                    when: {
                        turned: function(event, page, view) {
                            if (page==1) { 
                                $(this).turn('peel', 'br');
                            }

                            var audioPlay = getUrlParameter('audio');
                            if(audioPlay) {
                                if(page>1) {
                                    var getPageNumber = getUrlParameter('name');
                                    var audio = $("#myAudioElement");
                                    $("#audioSrc").attr("src", "raw/f"+getPageNumber+"_"+page+".mp3");
                                    audio[0].pause();
                                    audio[0].load();//suspends and restores all audio element
                                    audio[0].oncanplaythrough = audio[0].play();
                                }
                            }

                            var autoPlay = getUrlParameter('auto');
                            if(autoPlay && !audioPlay) {
                                setTimeout(function(){
                                    $('.flipbook').turn('next');
                                }, 10000);
                            }

                        }
                    }
			});
		}

		// Load the HTML4 version if there's not CSS transform
		yepnope({
			test : Modernizr.csstransforms,
			yep: ['js/turn.js'],
			nope: ['js/turn.html4.min.js'],
			both: ['css/basic.css'],
			complete: loadApp
		});

        $(document).keydown(function(e){
            var previous = 37, next = 39, esc = 27;
            switch (e.keyCode) {
                case previous:
                    // left arrow
                    $('.flipbook').turn('previous');
                    e.preventDefault();
                break;
                case next:
                    //right arrow
                    $('.flipbook').turn('next');
                    e.preventDefault();
                break;
                case esc:
                    $('.flipbook-viewport').zoom('zoomOut');    
                    e.preventDefault();
                break;
            }
        });

        
        var getUrlParameter = function getUrlParameter(sParam) {
            var sPageURL = decodeURIComponent(window.location.search.substring(1)),
                sURLVariables = sPageURL.split('&'),
                sParameterName,
                i;

            for (i = 0; i < sURLVariables.length; i++) {
                sParameterName = sURLVariables[i].split('=');

                if (sParameterName[0] === sParam) {
                    return sParameterName[1] === undefined ? true : sParameterName[1];
                }
            }
        };

        $( document ).ready(function() {
            var audioPlay = getUrlParameter('audio');
            if(audioPlay) {

                // var getPageNumber = getUrlParameter('name');

                // var i=2;
                // var audio = $("#myAudioElement");
                // audio[0].oncanplaythrough = audio[0].play();

                // setInterval(function() {
                //     $('.flipbook').turn('next');
                  
                //     $("#audioSrc").attr("src", "raw/f"+getPageNumber+"_"+i+".mp3");
                //     audio[0].pause();
                //     audio[0].load();//suspends and restores all audio element
                //     audio[0].oncanplaythrough = audio[0].play();

                //     i++;
                // }, 12000);

                var getPageNumber = getUrlParameter('name');
                var audio = $("#myAudioElement");
                audio[0].oncanplaythrough = audio[0].play();

                var getAutoPageTurn = getUrlParameter('auto');
                if(getAutoPageTurn) {
                    $('#myAudioElement').on('ended', function() {
                       $('.flipbook').turn('next');
                    });
                }

            }
        });

        $(document).on('click', '#turnOn', function() {
            var autoPlay = getUrlParameter('auto');
            if(autoPlay) {
                // var getName = getUrlParameter('name');
                // window.location.href=window.location.pathname+"?name="+getName;
                var removeParameter = removeURLParameter(window.location.href, 'auto');
                window.location.href=removeParameter;
            } else {
                window.location.href=document.URL+'&auto=on';
            }
        });

        $(document).on('click', '.settingButton', function() {
            var audioPlay = getUrlParameter('audio');
            if(audioPlay) {
                var removeParameter = removeURLParameter(window.location.href, 'audio');
                window.location.href=removeParameter;
            } else {
                window.location.href=document.URL+'&audio=on';
            }
            
        });

        function removeURLParameter(url, parameter) {
            //prefer to use l.search if you have a location/link object
            var urlparts= url.split('?');   
            if (urlparts.length>=2) {

                var prefix= encodeURIComponent(parameter)+'=';
                var pars= urlparts[1].split(/[&;]/g);

                //reverse iteration as may be destructive
                for (var i= pars.length; i-- > 0;) {    
                    //idiom for string.startsWith
                    if (pars[i].lastIndexOf(prefix, 0) !== -1) {  
                        pars.splice(i, 1);
                    }
                }

                url= urlparts[0]+'?'+pars.join('&');
                return url;
            } else {
                return url;
            }
        }

	</script>
</body>
</html>